
Zéphir - Tâche #21328

Scénario # 21277 (Terminé (Sprint)): Epic1: Coder la partie "salt-minion" pour les versions EOLE 2.5 et 2.6

Fournir des paquets salt pour EOLE 2.5(.2)

09/12/2017 03:58 PM - Joël Cuissinat

Status: Fermé Start date: 09/12/2017

Priority: Normal Due date:  

Assigned To: Joël Cuissinat % Done: 100%

Target version: sprint 2017 37-39 Equipe MENSR Estimated time: 4.00 hours

  Spent time: 2.50 hours

Description

Évidemment, des problèmes de dépendances ne permettent pas de prendre les paquets de la 2.6 en l'état :o

Mais SaltStack en fournit : https://repo.saltstack.com/#ubuntu

Associated revisions

Revision 9442493c - 09/20/2017 04:02 PM - Fabrice Barconnière

EOLE 2.5 salt-minion installation

ref #21328

History

#1 - 09/20/2017 09:18 AM - Joël Cuissinat

- Description updated

#2 - 09/20/2017 10:35 AM - Joël Cuissinat

- Status changed from Nouveau to En cours

#3 - 09/20/2017 10:35 AM - Joël Cuissinat

- Assigned To set to Joël Cuissinat

#4 - 09/20/2017 04:08 PM - Fabrice Barconnière

- % Done changed from 0 to 100

Un script temporaire (install_zephir_minion) permet d'installer salt-minion sur EOLE 2.5 et de mettre à jour les paquets salt sur EOLE 2.6.

#5 - 09/20/2017 04:43 PM - Joël Cuissinat

- Remaining (hours) changed from 4.0 to 0.5

#6 - 09/21/2017 09:49 AM - Scrum Master

- Status changed from En cours to Résolu

#7 - 09/22/2017 03:23 PM - Gérald Schwartzmann

- Remaining (hours) changed from 0.5 to 0.0

#8 - 09/22/2017 03:39 PM - Gérald Schwartzmann

La procédure d'enregistrement est décrite dans le test Squash : http://squash-tm.eole.lan/squash/test-cases/4345/info

http://squash-tm.eole.lan/squash/executions/6015
   15  [ 22/09/2017 15:32:57 ] apt-eole install git

   16  [ 22/09/2017 15:34:23 ] git clone http://dev-eole.ac-dijon.fr/git/zephir-connect.git

   17  [ 22/09/2017 15:34:26 ] cd zephir-connect/

   25  [ 22/09/2017 15:35:28 ] apt-get install make

   29  [ 22/09/2017 15:40:42 ] make install

   31  [ 22/09/2017 15:41:16 ] install_zephir_minion 

   33  [ 22/09/2017 15:49:02 ] zephir-connect eolebase.ac-test.fr

   34  [ 22/09/2017 15:49:10 ] service salt-minion status

 

root@horus:~/zephir-connect# zephir-connect eolebase.ac-test.fr

salt-minion stop/waiting

salt-minion start/running, process 5627

root@horus:~/zephir-connect# service salt-minion status

salt-minion start/running, process 5627

root@horus:~/zephir-connect# 

#9 - 09/22/2017 04:07 PM - Gérald Schwartzmann

J'ai fait de l'aide, j'ai oublié de mettre la ref zephir-connect:commit:3bcba0d5 dans mon commit :-/

https://dev-eole.ac-dijon.fr/projects/zephir/repository/zephir-connect/revisions/3bcba0d59fc1a31a3d4d2964f207e4dfc6c171b2/diff/README.md

#10 - 09/22/2017 04:19 PM - Gérald Schwartzmann

- Status changed from Résolu to Fermé
